<?php

/*
 * This class creates a form object which is the
 * main container for all other elements 
 */
class df_form
{
	// Properties
	private $frm_id          = NULL;
	private $frm_name        = NULL;
  private $frm_action      = NULL;
	private $frm_ajax        = false;
	private $frm_method      = NULL;
	private $frm_legend      = NULL;
	private $frm_css_class   = NULL;
	// Bindings, Container
	private $frm_elmList     = NULL;
  public  $frm_bound       = false;
  public  $frm_bound_to    = NULL;
  
	public function __construct($name, $action="self", $ajax=false, $id=NULL, $method="POST", $css = NULL, $legend=NULL)
	{
		$this->frm_name = $name;
		($id == NULL) ? ($this->frm_id = $name) : ($this->frm_id = $id);
		($action == "self") ? ($this->frm_action = $_SERVER['PHP_SELF']."?".$_SERVER['QUERY_STRING']) : ($this->frm_action = $action);
		$this->frm_ajax = $ajax;
		$this->frm_method = $method;
		$this->frm_legend = $legend;
		$this->frm_css = $css;
		
		$this->frm_elmList = new df_ArrayList("df_element", true);
	}
	
	/*
	 * Setter & Getter
	 */
	public function getName()
	{
		return $this->frm_name;
	}
	public function getMain()
	{
		return $this->frm_bound_to;
	}
	public function setCSS($value)
	{
	  $this->frm_css_class = $value;
	}
	public function appendCSS($value)
	{
		$this->frm_css_class .= " ".$value;
	}
	public function getCSS()
	{
		return $this->frm_css_class;
	}
	
	
	public function draw()
	{
		$output = NULL;

		$output .= "<form id=\"".$this->frm_id."\" name=\"".$this->frm_name."\" method=\"".$this->frm_method."\" action=\"".$this->frm_action."\">";
	  if($this->frm_legend != NULL)
    {
      $output .= "<fieldset><legend>".$this->frm_legend."</legend>";
    }
		
		foreach($this->frm_elmList->toArray() as $elem)
		{
			if($elem->isBoundedDraw() == true)
			{
			  $output .= $elem->draw();
			}
		}
	  if($this->frm_legend != NULL)
    {
      $output .= "</fieldset>";
    }
		$output .= "</form>";
		
		return $output;
	}
	
  public function bindElement(df_element $obj)
  {
  	$obj->elm_bound = true;
  	$obj->elm_bound_to = $this;
  	$this->frm_elmList->add($obj);
  }
  
  public function getBoundElement($id)
  {
  	foreach($this->frm_elmList->toArray() as $elem)
  	{
  		if(($elem->getId() == $id) || ($elem->getName() == $id))
  		{
  			return $elem;
  		}
  	}
  }
  
  public function checkGroup($id, $name, $groupName)
  {
    foreach($this->frm_elmList->toArray() as $elem)
    {
      if(($elem->getType() == "radio") && (($elem->getId() != $id) || ($elem->getName() != $name)))
      {
	    	if(($elem->getGroupName() == $groupName) && ($elem->isChecked() == true))
	      {
	        return true;
	      }
      }
    }
  	return false;
  }
	
}

?>