<?php
include("df_exception.php");
//include("df_storage.php");
include("df_element.php");
/*
 * This class works as the entry-point for
 * your coming up Form
 */
class df_main
{
	private $m_instance_time = NULL;
	private $m_frmList       = NULL;
	private $m_design        = NULL;
	
	public function __construct()
	{
		$this->m_instance_time = date("H:i:s");
		$this->m_frmList = new df_ArrayList("df_form", true);
	}
	
	/*
	 * Returns handle to the added Form
	 */
	public function addForm($name, $action="self", $ajax=false, $id=NULL, $method="POST", $legend=NULL)
	{
		$new_frm = new df_form($name, $action, $ajax, $id, $method, $legend);
		$this->bindForm($new_frm);
		return $new_frm;
	}
	
	/*
	 * Bind an existing form to the main instance
	 */
	public function bindForm(df_form $frm_obj)
	{
		$frm_obj->frm_bound = true;
		$frm_obj->frm_bound_to = $this;
		$this->m_frmList->add($frm_obj);
	}
	
	
	public function hasDesign()
	{
		if ($this->m_design != NULL)
		{
			return true;
		}
		else
		{
			return false;
		}
	}
	
	public function getFormCount()
	{
		return $this->m_frmList->size();
	}
	
	public function setDesign($design)
	{
		if($design == "beach")
		{
			  $this->m_design = "css/beach/df_design_beach.css";
		}
	}
	
  public function getDesign()
  {
    return "<link rel=\"stylesheet\" href=\"".$this->m_design."\" type=\"text/css\">";
  }
	
	public function output()
	{
		$output = NULL;
		foreach($this->m_frmList->toArray() as $form)
		{
			$output .= $form->draw();
		}
		return $output;
	}
	
	public function includeMoo()
	{
		return "<script src=\"./lib/mootools-core.js\" type=\"text/javascript\"></script>\n".
		       "<script src=\"./lib/mootools-more.js\" type=\"text/javascript\"></script>";
	}
}

?>